# $Revision: 1.8 $, $Date: 2010/07/08 08:38:36 $

%define		module	scanf

Summary:	The C-scanf-like string parsing in pure Python
Summary(pl.UTF-8):	Parser ciągów znaków w składni scanf napisany w czystym Pythonie
Name:		python-%{module}
Version:	1.2
Release:	2
License:	unknown
Group:		Libraries/Python
Source0:	http://hkn.eecs.berkeley.edu/~dyoo/python/scanf/%{module}-%{version}.tar.gz
# Source0-md5:	e4c3ff4629933d5ec854743bf77017ca
URL:		http://hkn.eecs.berkeley.edu/~dyoo/python/scanf/
BuildRequires:	python >= 1:2.3
%pyrequires_eq  python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
scanf provides formatted input from standard input, strings, or files,
using a format-string syntax that's similar to C's scanf(). The syntax
should be familiar to C programmers, and offers very simple pattern
matching against strings and files.

%description -l pl.UTF-8
scanf jest modułem Pythona umożliwiającym wczytywanie danych ze
standardowego wejścia, ciągów znaków lub plików, używając ciągów
formatujących zgodnych ze znaną z języka C funkcją scanf().

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/%{module}.py[oc]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-scanf.spec,v $
Revision 1.8  2010/07/08 08:38:36  arekm
- release 2

Revision 1.7  2009/03/14 14:24:16  duddits
- up to 1.2

Revision 1.6  2008/10/03 18:00:46  arekm
- release 2

Revision 1.5  2007-02-13 08:06:43  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.3  2004/12/23 10:27:18  saq
- the right way to use pyrequires_eq

Revision 1.2  2004/08/28 19:10:30  qboosh
- typo

Revision 1.1  2004/08/28 07:31:39  zboczuch
- initial PLD release
